﻿$ErrorActionPreference = 'Stop';
 
$packageName = 'azcopy10'
$toolsDir = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageArgs = @{
    packageName    = $packageName
    url64          = 'https://azcopyvnext.azureedge.net/releases/release-10.22.2-20240110/azcopy_windows_amd64_10.22.2.zip'
    checksum64     = 'd8a64f8ddbb6e033bd7765855008f39458286b7e2dceed30a8afcd77daf4b7b8'
    checksumType64 = 'sha256'
    url            = 'https://azcopyvnext.azureedge.net/releases/release-10.22.2-20240110/azcopy_windows_386_10.22.2.zip'
    checksum       = 'aae7dde6ce2843ef895076650e945d341791dc6aaf278c96718cf06641226551'
    checksumType   = 'sha256'
    destination    = $toolsDir
}

#Manage azcopy installation
Install-ChocolateyZipPackage @packageArgs

$targetPath = Join-Path -Path $toolsDir -ChildPath 'azcopy'
If (Test-Path -Path $targetPath -PathType:Container) {
    Remove-Item -Path $targetPath -Force -Recurse
}

Get-ChildItem -Path $toolsDir -Directory -Filter "azcopy*" | Rename-Item  -NewName 'azcopy' -Force
